-- Shorthand for languages
local en = Turbine.Language.English;
local fr = Turbine.Language.French;
local de = Turbine.Language.German;
local ru = Turbine.Language.Russian;

local text = {};

-- Hello message that appears when plugin is loaded
text.HelloMessage = {
    [en] = "<u><rgb=#DAA520>Friend Alert v<version>, by Thurallor</rgb></u>";
    [de] = "<u><rgb=#DAA520>Friend Alert v<version> von Thurallor</rgb></u>";
    [fr] = "<u><rgb=#DAA520>Friend Alert v<version>, par Thurallor</rgb></u>";
    [ru] = "<u><rgb=#DAA520>Friend Alert v<version> от Thurallor</rgb></u>";
};

-- Chat log patterns
text.ChatLog = {
    FriendLoginPattern = {
        [en] = "^Your friend, (%S+), has come online.";
        [fr] = "^Votre ami%(e%), (%S+), s'est connecté%(e%).";
        [de] = "^(%S+) ist jetzt online.";
        [ru] = "^Ваш друг (%S+) снова в игре."; -- Ваш друг XXX снова в игре.
    };
    FriendLogoutPattern = {
        [en] = "^Your friend, (%S+), has gone offline.";
        [fr] = "^Votre ami%(e%), (%S+), s'est déconnecté%(e%).";
        [de] = "^(%S+) ist jetzt offline.";
        [ru] = "^Ваш друг (%S+) вне игры."; -- Ваш друг XXX вне игры.
    };
    KinshipLoginPattern = {
        [en] = "^(%S+) has come online.";
        [fr] = "^(%S+) est en ligne.";
        [de] = "^(%S+) ist jetzt online.";
        [ru] = "^(%S+) появляется в сети."; -- XXX появляется в сети.
    };
    KinshipLogoutPattern = {
        [en] = "^(%S+) has gone offline.";
        [fr] = "^(%S+) n'est plus en ligne.";
        [de] = "^(%S+) ist jetzt offline.";
        [ru] = "^(%S+) уходит."; -- XXX уходит.
    }
}

-- Big font for main display
text.BigFont = {
    [en] = Turbine.UI.Lotro.Font.TrajanProBold36;
    [de] = Turbine.UI.Lotro.Font.TrajanProBold36;
    [fr] = Turbine.UI.Lotro.Font.TrajanProBold36;
    [ru] = Turbine.UI.Lotro.Font.BookAntiqua36;
}

-- Options panel strings
text.OptionsPanel = {};
text.OptionsPanel.IncreasedWidth = {
    [en] = 0;
    [de] = 30;
    [fr] = 0;
    [ru] = 100;    
};
text.OptionsPanel.ShowLogouts = {
    [en] = "Show logouts:";
    [de] = "Zeige Logouts:";
    [fr] = "?";
    [ru] = "Показывать выходы:";
};
text.OptionsPanel.DisplayDuration = {
    [en] = "Display duration:";
    [de] = "Anzeigedauer:";
    [fr] = "?";
    [ru] = "Длительность уведомления:";
};
text.OptionsPanel.FadeDuration = {
    [en] = "Fade duration:";
    [de] = "Ausblenden Dauer:";
    [fr] = "?";
    [ru] = "Длительность затухания:";
};
text.OptionsPanel.MainColor = {
    [en] = "Friend color:";
    [de] = "Farbe f. Freunde:";
    [fr] = "?";
    [ru] = "Цвет друга:";    
};
text.OptionsPanel.SpecialColor = {
    [en] = "Special color:";
    [de] = "Farbe f. Besondere:";
    [fr] = "?";
    [ru] = "Цвет особенного списка друзей:";    
};
text.OptionsPanel.ShowKinmates = {
    [en] = "Show kinmates:";
    [de] = "Zeige Sippenmitglieder:";
    [fr] = "?";
    [ru] = "Уведомлять об игроках содружества:";    
};
text.OptionsPanel.KinshipColor = {
    [en] = "Kinship color:";
    [de] = "Farbe f. Sippe:";
    [fr] = "?";
    [ru] = "Цвет содружества:";    
};
text.OptionsPanel.SpecialFriendsList = {
    [en] = "Special friends list:";
    [de] = "Besondere Freunde:";
    [fr] = "?";
    [ru] = "Особенный список друзей:";
};

-- Add translations to the global database (see Thurallor.Common.Utils.Locale.lua)
L:AddText(text);